<?php
/**
 * Equestrian Sports: Block Patterns
 *
 * @since Equestrian Sports 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Equestrian Sports 1.0
 *
 * @return void
 */
function equestrian_sports_register_block_patterns() {
	$equestrian_sports_block_pattern_categories = array(
		'equestrian-sports'    => array( 'label' => __( 'Equestrian Sports', 'equestrian-sports' ) ),
	);

	$equestrian_sports_block_pattern_categories = apply_filters( 'equestrian_sports_block_pattern_categories', $equestrian_sports_block_pattern_categories );

	foreach ( $equestrian_sports_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'equestrian_sports_register_block_patterns', 9 );
